## debian-reference 2.10ubuntu1

=== wiki/Makefile ===
# Create XML source from Wiki page
#
#
# Wiki remote URL (source)
UWIKI=http://wiki.debian.org/DebianReference
#### Wiki local  URL (local copy)
###LWIKI=http://localhost/Wiki/DebianReference
# Debian archive URL up to release name
UDEBA=http://ftp.us.debian.org/debian/dists/sid
# Debian popcon file URL
UPOPC=http://popcon.debian.org/all-popcon-results.txt.gz

# Following names should have at least one upper case letter
# Wiki bare XML source
WBARE=Copy Abstract
# Wiki Chapter XML source
WCHPT= Preface Tutorial Package SystemInit Auth Network InternetApp Xwindow I18NL10N SystemTips DataManagement DataConversion Program
# Wiki Appendix XML source
WAPND=Appendix
# Wiki Test XML source
WTEST=Test
# All wiki pages
WPAGE=$(WBARE) $(WCHPT) $(WAPND) $(WTEST)
VERBOSE=
PXSLT=xslt
PBIN=bin
ARCH=amd64

### REAL TARGETS ###

### xml page download and conversion related ###
%.raw.xml:
	sleep 1
	w3m -dump_source "$(UWIKI)/$*?action=format&mimetype=xml/docbook" |\
	xmllint --format --noblanks - > $*.raw.xml 

%.bare0.xml: %.raw.xml
	xsltproc --novalid $(VERBOSE) $(PXSLT)/moin2bare.xsl $< > $@

%.bare1.xml: %.bare0.xml
	xsltproc --novalid $(VERBOSE) $(PXSLT)/moin2common.xsl $< > $@

%.bare.xml: %.bare1.xml
	xsltproc --novalid $(VERBOSE) $(PXSLT)/moin2table.xsl $< > $@

%.chpt0.xml: %.raw.xml
	xsltproc --novalid $(VERBOSE) $(PXSLT)/moin2chpt.xsl $< > $@

%.chpt1.xml: %.chpt0.xml
	xsltproc --novalid $(VERBOSE) $(PXSLT)/moin2common.xsl $< > $@

%.chpt.xml: %.chpt1.xml
	xsltproc --novalid $(VERBOSE) $(PXSLT)/moin2table.xsl $< > $@

%.apnd0.xml: %.raw.xml
	xsltproc --novalid $(VERBOSE) $(PXSLT)/moin2apnd.xsl $< > $@

%.apnd1.xml: %.apnd0.xml
	xsltproc --novalid $(VERBOSE) $(PXSLT)/moin2common.xsl $< > $@

%.apnd.xml: %.apnd1.xml
	xsltproc --novalid $(VERBOSE) $(PXSLT)/moin2table.xsl $< > $@

### auto generation of archive related information ###
.INTERMEDIATE: packages.all
packages.all: packages.main packages.contrib packages.non-free
	cat packages.main packages.contrib packages.non-free >$@
	echo done $@
packages.main:
	wget -O - $(UDEBA)/main/binary-$(ARCH)/Packages.bz2      | bzcat - > packages.main.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.main.tmp >$@
	rm packages.main.tmp
	echo done $@
packages.contrib:
	wget -O - $(UDEBA)/contrib/binary-$(ARCH)/Packages.bz2   | bzcat - > packages.contrib.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.contrib.tmp >$@
	rm packages.contrib.tmp
	echo done $@
packages.non-free:
	wget -O - $(UDEBA)/non-free/binary-$(ARCH)/Packages.bz2  | bzcat - > packages.non-free.tmp
	grep-dctrl -e -sPackage,Installed-Size -P "." packages.non-free.tmp >$@
	rm packages.non-free.tmp
	echo done $@
all-popcon-results.txt:
	wget -O - $(UPOPC) | zcat - > $@
	echo done $@

.INTERMEDIATE: %.pkgpop.lst
%.pkgpop.lst: %.raw.xml
	xsltproc --novalid $(VERBOSE) $(PXSLT)/moin2pkgpop.xsl $< > $@
	echo done $@
pkgpop.lst: $(patsubst %, %.pkgpop.lst, $(WCHPT) $(WAPND) $(WTEST))
	cat $^ | sort | uniq > $@
	echo done $@

# Although "grep -f pkgpop.lst" to narrow down package list is the slowest part of this Makefile, trying to use file system
# to narrow down package list is even slower since it start processes for each package.
#
#pop: all-popcon-results.txt
#	grep -e '^Package:' $< | while read x ; do y=$$(echo $$x |awk '{print $$2}'); z=$$(echo $$y |sed -e 's/^\(lib.\).*$$/\1/' -e 's/^\([^l]\).*$$/\1/' -e 's/^\(l[^i]\).*$$/l/' -e 's/^\(li[^b]\).*$$/l/'); mkdir -p popcon/$$z ; echo $$x > popcon/$$z/$$y ; done
##$ time make pop
##grep -e '^Package:' all-popcon-results.txt | while read x ; do y=$(echo $x |awk '{print $2}'); z=$(echo $y |sed -e 's/^\(lib.\).*$/\1/' -e 's/^\([^l]\).*$/\1/' -e 's/^\(l[^i]\).*$/l/' -e 's/^\(li[^b]\).*$/l/'); mkdir -p popcon/$z ; echo $x > popcon/$z/$y ; done
##
##real	12m32.390s
##user	3m41.758s
##sys	8m35.272s
##$ time make popcont.ent
##real	1m54.500s
##user	1m54.167s
##sys	0m1.600s

popcon.ent: all-popcon-results.txt pkgpop.lst
	echo "<!ENTITY pop-date \"$(shell LC_ALL=en_US.UTF-8 ls -l all-popcon-results.txt|LC_ALL=en_US.UTF-8 cut -c34-43)\">" > $@
	echo "<!ENTITY pop-submissions \"$(shell sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt)\">" >> $@
	echo "<!ENTITY pop-architectures \"$(shell grep -e '^Architecture:' all-popcon-results.txt | wc -l)\">" >> $@
	echo "<!ENTITY pop-packages \"$(shell grep -e '^Package:' all-popcon-results.txt | wc -l)\">" >> $@
	grep -e '^Package:' $< | grep -f pkgpop.lst | $(PBIN)/popconent $(shell sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < $< ) >> $@
	echo done $@

.INTERMEDIATE: %.urls.lst
%.urls.lst: %.raw.xml
	xsltproc --novalid $(VERBOSE) $(PXSLT)/moin2urls.xsl $< > $@
	echo done $@
urls.ent: $(patsubst %, %.urls.lst, $(WCHPT) $(WAPND) $(WTEST))
	cat $^ | sort | uniq | sed -e 's/%28/(/g' -e 's/%29/)/g' -e 's/&/&amp;/g' > $@
	echo done $@

.INTERMEDIATE: %.pkgsize.lst
%.pkgsize.lst: %.raw.xml
	xsltproc --novalid $(VERBOSE) $(PXSLT)/moin2pkgsize.xsl $< > $@
	echo done $@
pkgsize.lst: $(patsubst %, %.pkgsize.lst, $(WCHPT) $(WAPND) $(WTEST))
	cat $^ | sort | uniq > $@
	echo done $@
pkgsize.ent: pkgsize.lst packages.all $(patsubst %, packages.%, main contrib non-free)
	echo "<!ENTITY all-packages \"$(shell grep -e '^Package:' packages.all | wc -l)\">"            > $@
	echo "<!ENTITY main-packages \"$(shell grep -e '^Package:' packages.main | wc -l)\">"         >> $@
	echo "<!ENTITY contrib-packages \"$(shell grep -e '^Package:' packages.contrib | wc -l)\">"   >> $@
	echo "<!ENTITY non-free-packages \"$(shell grep -e '^Package:' packages.non-free | wc -l)\">" >> $@
	$(PBIN)/sizeent packages.all < pkgsize.lst                                                    >> $@
	echo done $@

# always update this
.PHONY: common.ent
common.ent:
	echo "<!ENTITY build-date \"$(shell date -u +'%F %T %Z')\">" > $@
	echo "<!ENTITY arch \"$(ARCH)\">" >> $@
	echo "<!ENTITY codename-stable   \"etch\">" >> $@
	echo "<!ENTITY codename-testing  \"lenny\">" >> $@
	echo "<!ENTITY codename-nexttesting  \"lenny+1\">" >> $@
	echo "<!ENTITY codename-unstable \"sid\">" >> $@
	echo done $@

### PHONY TARGETS for UTILITIES ###

.PHONY:	all hard soft xml
all:	xml soft hard
	echo done $@
soft:	xml common.ent urls.ent
	echo done $@
hard:	popcon.ent pkgsize.ent
	echo done $@
xml: 	$(patsubst %, %.bare.xml, $(WBARE)) $(patsubst %, %.chpt.xml, $(WCHPT) $(WTEST)) $(patsubst %, %.apnd.xml, $(WAPND)) 
	for x in $(WBARE); do $(PBIN)/tidyxml $$x.bare.xml  > $$(echo $$x|tr 'A-Z' 'a-z').en.xml; rm $$x.bare.xml;  done
	for x in $(WCHPT); do $(PBIN)/tidyxml $$x.chpt.xml > $$(echo $$x|tr 'A-Z' 'a-z').en.xml; rm $$x.chpt.xml; done
	for x in $(WTEST); do $(PBIN)/tidyxml $$x.chpt.xml > $$(echo $$x|tr 'A-Z' 'a-z').en.xml; rm $$x.chpt.xml; done
	for x in $(WAPND); do $(PBIN)/tidyxml $$x.apnd.xml > $$(echo $$x|tr 'A-Z' 'a-z').en.xml; rm $$x.apnd.xml; done
	$(PBIN)/rootxml >debian-reference.en.xml
	$(PBIN)/testxml >test-all.en.xml
	echo done $@

.PHONY:	renew reset diff
renew:
	$(MAKE) wikiclean 
	$(MAKE) diff
	$(MAKE) reset
	$(MAKE) all
	$(MAKE) clean
%.remote.txt:
	sleep 1
	w3m -dump_source "$(UWIKI)/$*?action=raw" > $@
	fromdos $@
reset: $(patsubst %, %.remote.txt, $(WPAGE))
	for x in $(WPAGE); do cp -f $$x.remote.txt $$x.ref.txt; done
%.diff: %.remote.txt
	diff -u $*.ref.txt $*.remote.txt >$@ || true
diff: $(patsubst %, %.diff, $(WPAGE))
	ls -l $^ >$@
	gedit $@ $^

.PHONY: clean wikiclean distclean
clean:
	-rm -f *.lst
	-rm -f packages.all
	-rm -f *.remote.txt
	-rm -f *.remote.sha1
	-rm -f *.diff diff
	-rm -f *.sha1
	-rm -f *.bare?.xml
	-rm -f *.chpt?.xml
	-rm -f *.apnd?.xml
	-rm -f *.swp *~
	-rm -f *.edit.txt
wikiclean: clean
	-rm -f $(patsubst %, %.raw.xml, $(WPAGE))
	-rm -f common.ent urls.ent
	-rm -f popcon.ent pkgsize.ent
distclean: wikiclean
	-rm -f all-popcon-results.txt
	-rm -f $(patsubst %, packages.%, main contrib non-free)
	-rm -f *.xml *.ent

.SECONDARY: all-popcon-results.txt $(patsubst %, packages.%, main contrib non-free)
.SECONDARY:  $(patsubst %, %.raw.xml, $(WPAGE))

=== debian/changelog ===
debian-reference (2.10ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Replace locales-all with locales, Ubuntu does not ship it.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Mon, 01 Sep 2008 11:47:08 +0200

debian-reference (2.10) unstable; urgency=low

  * Fixed bug in mkindexhtml when $HTML_INSTALLED = 0. Closes: 497266
  * Fixed typo in English.

 -- Osamu Aoki <osamu@debian.org>  Sun, 31 Aug 2008 22:42:30 +0900

debian-reference (2.09ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Replace locales-all with locales, Ubuntu does not ship it.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Tue, 26 Aug 2008 00:50:17 +0100

debian-reference (2.09) unstable; urgency=low

  * Fixed example.org to example.com and umask table. Closes: 495291
  * Updated "Erase entire harddisk", "Small public package archive", 
    "Customizing program to be started", "The sound infrastructure", "Web
    browsers in X", and chapter titles. 

 -- Osamu Aoki <osamu@debian.org>  Mon, 25 Aug 2008 22:37:43 +0900

debian-reference (2.08ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Replace locales-all with locales, Ubuntu does not ship it.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Fri, 15 Aug 2008 13:07:45 +0200

debian-reference (2.08) unstable; urgency=low

  * Added git repository reference in control file.
  * Fixed error in chroot setup description and added warning for bind mount.
  * Fixed URL in debian-reference manpages as s#file:/#file:///#g . 
  * Updated English version on mailcap, MTU, "small public archive generation
    for secure APT", and many spell corrections. 
  * Dropped APT HOWTO reference. 

 -- Osamu Aoki <osamu@debian.org>  Fri, 15 Aug 2008 14:58:25 +0900

debian-reference (2.07ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Replace locales-all with locales, Ubuntu does not ship it.

 -- Cesare Tirabassi <norsetto@ubuntu.com>  Tue, 29 Jul 2008 21:16:57 +0200

debian-reference (2.07) unstable; urgency=low

  * Updated English version on dist-upgrade etc.

 -- Osamu Aoki <osamu@debian.org>  Thu, 17 Jul 2008 23:36:26 +0900

debian-reference (2.06) unstable; urgency=low

  * Updated English version on apt_preferences issues for readability.

 -- Osamu Aoki <osamu@debian.org>  Mon, 14 Jul 2008 00:16:35 +0900

debian-reference (2.05) unstable; urgency=low

  * Adjusted dependency.
  * Updated English version on apt_preferences issues while mentioning
    currently not so obvious "NotAutomatic: yes" archive effects.

 -- Osamu Aoki <osamu@debian.org>  Wed, 09 Jul 2008 23:35:23 +0900

debian-reference (2.04ubuntu1) intrepid; urgency=low

  * debian/control:
    - Replace locales-all with locales, Ubuntu does not ship it.
    - Update Maintainer field as per spec.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Fri, 11 Jul 2008 20:44:34 +0200

debian-reference (2.04) unstable; urgency=low

  * Refined postrm script and index generation.
  * Updated English version on aptitude and locale. 

 -- Osamu Aoki <osamu@debian.org>  Sun, 22 Jun 2008 07:21:44 +0900

debian-reference (2.03) unstable; urgency=low

  * Updated postinst to clean directories from old version.
    Closes: 483929
  * Updated README to explain translation status. Closes: 484061
  * Mentioned exiqgrep and/or exipick. Closes: 378685
  * Mentioned sound configuration for ALSA. Closes: 403755

 -- Osamu Aoki <osamu@debian.org>  Tue, 03 Jun 2008 22:17:31 +0900

debian-reference (2.02) unstable; urgency=low

  * Fixed build script to add graphics and style sheet. 
  * Added replaces for smooth upgrade. 
  * Builded text file from HTML (debiandoc2text is broken under UTF-8
    for multi byte characters)
  * Added docbook-xml and docbook. 
  * w3m under UTF-8 but perl under C.

 -- Osamu Aoki <osamu@debian.org>  Sun, 01 Jun 2008 14:01:27 +0900

debian-reference (2.01) unstable; urgency=low

  * New source created from http://wiki.debian.org/DebianReference
    is imported as XML source for English. Closes: 295292
  * Fixed URL references related to file:///usr/share/doc/ for SGML
    build.  Closes: 476146
  * New makefile.
  * Documents are available only in HTML and plain text.
  * All translated document has been based on the last available 
    English version or the one before in SGML format.  Encodings
    has been adjusted to use UTF-8.
  * Directory names changed to match UTF-8 locales.
  * Manpages converted to UTF-8.
  * Converted polish quotes to proper UTF-8 characters.
  * Fixed Latin1 characters in non-Latin1 lacales in UTF-8.
  * I removed building support for short version named quick-reference-* 
    and PS/PDF documents to streamline XML transition.
  * Organized files into /usr/share/doc/debian-reference-common.
  * Removed old examples.

 -- Osamu Aoki <osamu@debian.org>  Sun, 01 Jun 2008 00:16:16 +0900

debian-reference (1.12) unstable; urgency=low

  * Update Build to the new texlive and ghostscript chain.
  * Fixed zh-cn appendix by removing invalid character.
  * Removed references to dhcp-dns for all languages.  (closes: 355350)
  * Fixed broken links for less. (closes: 411349)
  * Added icon to the menu. (closes: 417857)
  * Updated Alt-Sysrq description for all languages. (closes: 442512)
  * Updated subversion description for all languages. (closes: 460516)

 -- Osamu Aoki <osamu@debian.org>  Sat, 26 Jan 2008 17:50:59 +0900

=== debian/control ===
Source: debian-reference
Section: doc
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: debiandoc-sgml (>= 1.2.9), w3m (>= 0.3), xsltproc, docbook-xsl, docbook-xml, docbook, locales
Standards-Version: 3.8.0
Vcs-Git: git://git.debian.org/~osamu/debian-reference.git
Homepage: http://wiki.debian.org/DebianReference/

Package: debian-reference
Architecture: all
Depends: debian-reference-en
Recommends: debian-reference-fr, debian-reference-de, debian-reference-it, debian-reference-es, debian-reference-pt-br, debian-reference-pl, debian-reference-zh-tw, debian-reference-zh-cn, debian-reference-ja
Description: metapackage to install (all) translations of Debian Reference
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-common
Architecture: all
Suggests: mc, vim, w3m | www-browser
Description: Debian system administration guide, common files
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-en
Architecture: all
Depends: debian-reference-common (>= 2.00)
Suggests: doc-base, rutebook
Description: Debian system administration guide, English original
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-fr
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: debian-reference-common (>= 2.00)
Conflicts: quick-reference-fr
Replaces: quick-reference-fr
Description: Debian system administration guide, French translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-it
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: debian-reference-common (>= 2.00)
Conflicts: quick-reference-it
Replaces: quick-reference-it
Description: Debian system administration guide, Italian translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-ja
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: debian-reference-common (>= 2.00)
Conflicts: quick-reference-ja
Replaces: quick-reference-ja
Description: Debian system administration guide, Japanese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-es
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: debian-reference-common (>= 2.00)
Conflicts: quick-reference-es
Replaces: quick-reference-es
Description: Debian system administration guide, Spanish translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-de
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: debian-reference-common (>= 2.00)
Conflicts: quick-reference-de
Replaces: quick-reference-de
Description: Debian system administration guide, German translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-pt-br
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: debian-reference-common (>= 2.00)
Conflicts: quick-reference-pt-br
Replaces: quick-reference-pt-br
Description: Debian system administration guide, Portuguese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-pl
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: debian-reference-common (>= 2.00)
Conflicts: quick-reference-pl
Replaces: quick-reference-pl
Description: Debian system administration guide, Polish translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-zh-tw
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: debian-reference-common (>= 2.00)
Conflicts: quick-reference-zh-tw
Replaces: quick-reference-zh-tw
Description: Debian system administration guide, Chinese(TW) translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

Package: debian-reference-zh-cn
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: debian-reference-common (>= 2.00)
Conflicts: quick-reference-zh-cn
Replaces: quick-reference-zh-cn
Description: Debian system administration guide, Chinese(CN) translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.

## debian-reference 2.24

=== Makefile ===
#
# New Makefile for ALL source (Osamu Aoki)
#
#  Build multi file html, single file html, and single file text formats.
#  makefile for developer-reference was used as my reference.
#
# ------------------------------------------------------------------- #
#                          WARNING                                    #
#         Use with caution, aimed at Lenny system                     #
# ------------------------------------------------------------------- #

# do not use default suffix rules such as .tex.dvi: (uses tex, not latex!)
.SUFFIXES:
# =================================================================== #
#                 Default configuration part                          #
# =================================================================== #

WIKI_ROOT	:= wiki
HTML_ROOT	:= html
LANG_ALL	:= en fr it es de pt-br pl zh-tw zh-cn ja
LANG_XML	:= en
LANG_SGML	:= fr it es de pt-br pl zh-tw zh-cn ja

.PHONY: all allxml allsgml
all: allxml allsgml
	$(MAKE) clean
allxml:
	$(MAKE) -f Makefile-xml  "LANG_ALL=$(LANG_XML)"  targetclean
	$(MAKE) -f Makefile-xml  "LANG_ALL=$(LANG_XML)"  all
	$(MAKE) index
allsgml:
	$(MAKE) -f Makefile-sgml "LANG_ALL=$(LANG_SGML)" all
	$(MAKE) index
.PHONY: renewxml
renewxml:
	$(MAKE) -C $(WIKI_ROOT) wikiclean
	$(MAKE) -C $(WIKI_ROOT) renew
	$(MAKE) update
	$(MAKE) allxml
	$(MAKE) clean
	$(MAKE) rsync
.PHONY: renew
renew:
	$(MAKE) distclean
	$(MAKE) -C $(WIKI_ROOT) renew
	$(MAKE) update
	$(MAKE) allxml
	$(MAKE) allsgml
	$(MAKE) clean
	$(MAKE) rsync
.PHONY: index
index:
	export HTML_ROOT=$(HTML_ROOT) ; bin/mkindexhtml

# Replicate
REMOTE	:= people.debian.org:public_html/pub/getwiki/
.PHONY: rsync
rsync:
	rsync --delete-after -rlpt . $(REMOTE)

.PHONY: nmu
nmu:
	$(MAKE) -f Makefile-xml  "LANG_ALL=$(LANG_XML)"  nmu

.PHONY: update
update:
	$(MAKE) -f Makefile-xml  "LANG_ALL=$(LANG_XML)"  update

.PHONY: resethtml
resethtml:
	$(MAKE) -f Makefile-xml  "LANG_ALL=$(LANG_XML)" resethtml

.PHONY: clean cleanxml cleansgml wikiclean distcleanxml distclean
clean: cleanxml cleansgml

cleanxml:
	$(MAKE) -f Makefile-xml  "LANG_ALL=$(LANG_XML)"  clean

cleansgml:
	$(MAKE) -f Makefile-sgml "LANG_ALL=$(LANG_SGML)" clean

wikiclean: cleanxml
	$(MAKE) -C $(WIKI_ROOT) wikiclean

distcleanxml: cleanxml
	$(MAKE) -f Makefile-xml  "LANG_ALL=$(LANG_XML)"  distclean

distclean: clean resethtml
	$(MAKE) -f Makefile-xml  "LANG_ALL=$(LANG_XML)"  distclean
	$(MAKE) -f Makefile-sgml "LANG_ALL=$(LANG_SGML)" distclean

# if rule bomb out, delete the target
.DELETE_ON_ERROR:

=== wiki/Makefile ===
--- 
+++ 
@@ -114,6 +114,7 @@
 	echo "<!ENTITY pop-submissions \"$(shell sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt)\">" >> $@
 	echo "<!ENTITY pop-architectures \"$(shell grep -e '^Architecture:' all-popcon-results.txt | wc -l)\">" >> $@
 	echo "<!ENTITY pop-packages \"$(shell grep -e '^Package:' all-popcon-results.txt | wc -l)\">" >> $@
+	echo "<!ENTITY pop-postscript \"Not applicable\">" >> $@
 	grep -e '^Package:' $< | grep -f pkgpop.lst | $(PBIN)/popconent $(shell sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < $< ) >> $@
 	echo done $@
 
@@ -145,9 +146,9 @@
 common.ent:
 	echo "<!ENTITY build-date \"$(shell date -u +'%F %T %Z')\">" > $@
 	echo "<!ENTITY arch \"$(ARCH)\">" >> $@
-	echo "<!ENTITY codename-stable   \"etch\">" >> $@
-	echo "<!ENTITY codename-testing  \"lenny\">" >> $@
-	echo "<!ENTITY codename-nexttesting  \"lenny+1\">" >> $@
+	echo "<!ENTITY codename-stable   \"lenny\">" >> $@
+	echo "<!ENTITY codename-testing  \"squeeze\">" >> $@
+	echo "<!ENTITY codename-nexttesting  \"squeeze+1\">" >> $@
 	echo "<!ENTITY codename-unstable \"sid\">" >> $@
 	echo done $@
 
@@ -187,6 +188,12 @@
 diff: $(patsubst %, %.diff, $(WPAGE))
 	ls -l $^ >$@
 	gedit $@ $^
+
+# $$ needed for the doller sign in Makefile
+.PHONY: url
+url:
+	awk '{ print $$2}' <urls.ent |uniq -d
+	awk '{ print $$3}' <urls.ent |sed 's/>$$//' |xargs -n1 wget -O /dev/null -nv
 
 .PHONY: clean wikiclean distclean
 clean:

=== debian/changelog ===
debian-reference (2.24) unstable; urgency=low

  * Updated "Network setup" chapter with focus on NetworkManager, wicd, 
    iproute2, and netfilter.
  * Updated "System tips" chapter with focus on etckeeper, fsck, mkfs,
    tune2fs, mount, strace, fuser, wall, etc.
  * Retitled"The time" to "System and hardware time".
  * Updated "Getting root in X" by changing it to "Running X clients as root".
  * Updated with many minor big fixes per Tim Richardson.
  * Updated popcon and package size data.

 -- Osamu Aoki <osamu@debian.org>  Sun, 18 Jan 2009 02:32:41 +0900

debian-reference (2.23) unstable; urgency=low

  * Fixed BTS URL per Aaron Valdes. Closes: 509998
  * Updated "Setting up desktop environment" with new subsections.
  * Added "X applications" with subsections.
  * Added "List files opened by a process".
  * Added "File integrity check".
  * Updated "Unix text tools", "Basics of SSH", "Graphic data tools", etc.
  * Fixed broken table of "List of key web site to resolving problems with a
    specific package." per Paul.

 -- Osamu Aoki <osamu@debian.org>  Tue, 06 Jan 2009 22:07:45 +0900

debian-reference (2.22) unstable; urgency=low

  * Updated to make this build smooth on Ubuntu. Closes: 509163
  * Updated screen related contents.
  * Fixed regex of gnupg script example.
  * Added section for "NetworkManager" and "Colorized shell echo".
  * Updated git command style and mentioned sort order w.r.t. locale.
  * Updated popcon and package size data and removed reference to 
    removed packages.

 -- Osamu Aoki <osamu@debian.org>  Sat, 27 Dec 2008 01:13:05 +0900

debian-reference (2.21) unstable; urgency=low

  * Updated all URLs after checking each connection.
  * Updated popcon and package size data.
  * Updated SSH and mentioned Alioth service.  

 -- Osamu Aoki <osamu@debian.org>  Sun, 14 Dec 2008 02:39:23 +0900

debian-reference (2.20) unstable; urgency=low

  * Added "Automatically mounting eCryptfs" and updated related issues.
  * Added "Stricter password rule".

 -- Osamu Aoki <osamu@debian.org>  Sun, 07 Dec 2008 00:28:11 +0900

debian-reference (2.19) unstable; urgency=low

  * Updated popcon and package size data.
  * Updated "Verify installed package files" to mention limitation of debsums.
  * Refined "Data management" chapter etc.

 -- Osamu Aoki <osamu@debian.org>  Mon, 01 Dec 2008 00:00:29 +0900

debian-reference (2.18) unstable; urgency=low

  * Added "Idioms for the selection of files", "Backup suite utilities",
    and "View and edit binary data".
  * Corrected "The script snippets for piping commands" table.
  * Reorganized order of sections and fixed minor details. 

 -- Osamu Aoki <osamu@debian.org>  Sun, 30 Nov 2008 02:38:27 +0900

debian-reference (2.17) unstable; urgency=low

  * Split "Performance optimization of harddisk" into "Optimization of
    filesystem" and "Optimization of harddisk".
  * Added "Data encryption tips" and adjusted "Data security infrastructure".
  * Added grub-rescue-pc references.

 -- Osamu Aoki <osamu@debian.org>  Thu, 13 Nov 2008 00:39:54 +0900

debian-reference (2.16) unstable; urgency=low

  * Fixed Isolinux/Syslinux mixup.
  * Replaced "Storage device hints" with "Data storage tips", expanded its
    contents with UUID and aufs references, and reorganized.
  * Updated removable media related information. 
  * Refined "Debian package management" chapter and mentioned new long form
    for aptitude regex.

 -- Osamu Aoki <osamu@debian.org>  Sat, 01 Nov 2008 00:31:29 +0900

debian-reference (2.15) unstable; urgency=low

  * Added "Proxy server for APT".
  * Added Debian mirror status site reference and avoided to use
    ftp.us.debian.org as example.
  * Updated mount point info, package recompilation info, etc.
  * Updated GRUB description for GRUB 2, commpression packages and source
    package format.

 -- Osamu Aoki <osamu@debian.org>  Sat, 18 Oct 2008 10:14:53 +0900

debian-reference (2.14) unstable; urgency=low

  * Updated release names for lenny release in mind with adjusted text.

 -- Osamu Aoki <osamu@debian.org>  Tue, 07 Oct 2008 23:19:09 +0900

debian-reference (2.13) unstable; urgency=low

  * Added "Disk encryption with dm-crypto/LUKS".
  * Updated "Other virtualization tools". 

 -- Osamu Aoki <osamu@debian.org>  Sun, 05 Oct 2008 13:11:08 +0900

debian-reference (2.12) unstable; urgency=low

  * Moved "Web browsers in X" in "The X window system" chapter to 
    "Web browsers" in "Network applications" chapter and updated.
  * Moved "Purge removed packages for good" section and updated.
  * Added "Searching all hardlinks" section.
  * Updated release name list and other document contents.
  * Mentioned HTTP proxy servers.

 -- Osamu Aoki <osamu@debian.org>  Thu, 02 Oct 2008 22:58:31 +0900

debian-reference (2.11) unstable; urgency=low

  * Updated "Fonts in the X Window". 

 -- Osamu Aoki <osamu@debian.org>  Mon, 15 Sep 2008 00:02:46 +0900

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: debian-reference
 Section: doc
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Osamu Aoki <osamu@debian.org>
+Maintainer: Osamu Aoki <osamu@debian.org>
 Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: debiandoc-sgml (>= 1.2.9), w3m (>= 0.3), xsltproc, docbook-xsl, docbook-xml, docbook, locales
+Build-Depends-Indep: debiandoc-sgml (>= 1.2.9), w3m (>= 0.3), xsltproc, docbook-xsl, docbook-xml, docbook, locales-all | locales
 Standards-Version: 3.8.0
 Vcs-Git: git://git.debian.org/~osamu/debian-reference.git
 Homepage: http://wiki.debian.org/DebianReference/

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# C build environmet neeed for perl
export LC_ALL=C
# UTF-8 build environmet neeed for w3m (see makefile)

#  Build multi file html, single file html, and single file text formats.
#  makefile for developer-reference was used as my reference.
#
# ------------------------------------------------------------------- #
#                          WARNING                                    #
#         Use with caution, aimed at Lenny system                     #
# ------------------------------------------------------------------- #

# do not use default suffix rules such as .tex.dvi: (uses tex, not latex!)
.SUFFIXES:
# =================================================================== #
#                 Default configuration part                          #
# =================================================================== #

WIKI_ROOT	:= wiki
HTML_ROOT	:= html

MANUAL := debian-reference
## Build language list
LANG_XML := en
LANG_SGML := fr it pt-br es de pl zh-tw zh-cn ja
LANG_ALL := $(LANG_XML) $(LANG_SGML)
# For testing use reduced set instead for speed.
#LANG_SGML := fr
BUILD_TYPE := package

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Do nothing
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	# Add here commands to compile the package.
##	$(MAKE) "MANUAL=$(MANUAL)" \
##		"LANG_ALL=$(LANG_ALL)" \
##		"LANG_XML=$(LANG_XML)" \
##		"LANG_SGML=$(LANG_SGML)" \
##	        "BUILD_TYPE=$(BUILD_TYPE)" \
##		all
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	# usual web activity leaves many files in html/
	-$(MAKE) "MANUAL=$(MANUAL)" \
		"LANG_ALL=$(LANG_ALL)" \
		"LANG_XML=$(LANG_XML)" \
		"LANG_SGML=$(LANG_SGML)" \
	        "BUILD_TYPE=$(BUILD_TYPE)" \
	    	"HTML_ROOT=$(CURDIR)/html" \
		clean resethtml

	-cd $(CURDIR)/debian/ ; \
	rm -f debian-reference-common.postinst

	-cd $(CURDIR)/debian/ ; for xx in $(LANG_ALL) ; do \
	rm -f debian-reference-$${xx}.dirs \
	      debian-reference-$${xx}.doc-base \
	      debian-reference-$${xx}.postrm \
	      debian-reference-$${xx}.postinst ; \
	done

	-for xx in $(LANG_SGML) ; do \
	rm -f debian-reference.$${xx}.sgml ; \
	done
	dh_clean

refresh: clean
	dh_testdir
	dh_testroot
# 	cvs -d :ext:osamu@cvs.sf.net:/cvsroot/qref up
#	cvs -d :pserver:anonymous@cvs.sf.net:/cvsroot/qref up

new:    clean
#	rm ../debian-refernce
#	cvs -d :ext:osamu@cvs.sf.net:/cvsroot/qref export -d ../debian-reference -D tomorrow qref
#	cvs -d :pserver:anonymous@cvs.sf.net:/cvsroot/qref up


copyfiles:
	cd $(CURDIR)/debian/ ; \
	cp postinst-full     debian-reference-common.postinst
	# debian-reference-common.prerm exists and removes everything

	cd $(CURDIR)/debian/ ; for xx in $(LANG_ALL) ; do \
	cp postinst-full     debian-reference-$${xx}.postinst ; \
	cp postrm-full       debian-reference-$${xx}.postrm ; \
	done


	set -e; cd $(CURDIR)/debian/ ; for xx in $(LANG_ALL) ; do \
	case $$xx in \
	en) LANG="English" ;;  \
	de) LANG="German" ;;   \
	fr) LANG="French" ;;   \
	fi) LANG="Finnish" ;;  \
	es) LANG="Spanish" ;;  \
	it) LANG="Italian" ;;  \
	ja) LANG="Japanese" ;; \
	pl) LANG="Polish" ;; \
	pt-br) LANG="Portuguese (Brazil)" ;; \
	zh-tw) LANG="Chinese (Traditional)" ;; \
	zh-cn) LANG="Chinese (Simplified)" ;; \
	esac ; \
	cp debian-reference.dirs.all debian-reference-$${xx}.dirs ; \
	sed  -e "s/@@/$$xx/" -e "s/@LANG@/$$LANG/" \
	<debian-reference.doc-base-all  >debian-reference-$${xx}.doc-base ; \
	done

install: build copyfiles
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/debian-reference-??.
	#  (No more examples)

	install -d $(CURDIR)/debian/debian-reference-common/usr/share/applications
	install -m 644 debian/debian-reference-common.desktop \
	    $(CURDIR)/debian/debian-reference-common/usr/share/applications/

	install -m 755 --preserve-timestamps debian-reference \
	    $(CURDIR)/debian/debian-reference-common/usr/bin/debian-reference

	install -m 755 --preserve-timestamps bin/mkindexhtml \
	    $(CURDIR)/debian/debian-reference-common/usr/share/debian-reference/mkindexhtml

	set -e; for xx in $(LANG_ALL); do \
	mkdir -p $(CURDIR)/debian/debian-reference-$${xx}/usr/share/doc/debian-reference-$${xx} ;\
	ln -fs ../debian-reference-common/README.gz \
	$(CURDIR)/debian/debian-reference-$${xx}/usr/share/doc/debian-reference-$${xx}/README.gz ;\
	done
	set -e; for xx in $(LANG_XML); do \
	$(MAKE) -f Makefile-xml "MANUAL=$(MANUAL)" \
		"LANG_ALL=$${xx}" \
	        "BUILD_TYPE=$(BUILD_TYPE)" \
	    	"HTML_ROOT=$(CURDIR)/debian/debian-reference-$${xx}/usr/share/doc/debian-reference-common/html" \
	    	all ;\
	done
	set -e; for xx in $(LANG_SGML); do \
	$(MAKE) -f Makefile-sgml "MANUAL=$(MANUAL)" \
		"LANG_ALL=$${xx}" \
	        "BUILD_TYPE=$(BUILD_TYPE)" \
	    	"HTML_ROOT=$(CURDIR)/debian/debian-reference-$${xx}/usr/share/doc/debian-reference-common/html" \
	    	all ;\
	done
	$(MAKE) -f Makefile-xml "MANUAL=$(MANUAL)" \
		"LANG_ALL=en" \
	        "BUILD_TYPE=$(BUILD_TYPE)" \
	    	"HTML_ROOT=$(CURDIR)/debian/debian-reference-common/usr/share/doc/debian-reference-common/html" \
	    	resethtml ;\


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
#	dh_movefiles
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman -p debian-reference-common debian-reference.1 debian-reference.*.1 
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_desktop
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch

# if rule bomb out, delete the target
.DELETE_ON_ERROR:
